Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.dsi
Class ServerRequest

    java.lang.Object
      |
      +--org.omg.CORBA.ServerRequest
            |
            +--org.openorb.CORBA.dsi.ServerRequest

public class ServerRequest
extends ServerRequest

This class implements the ServerRequest standard class. It delegates mostly to the ServerRequest in net.

Version:
  $Revision: 1.8 $ $Date: 2002/07/16 21:26:16 $
Author:
  Chris Wood

Constructor Summary
`ServerRequest(ServerRequest server_request)` A constructor with the request name as parameter

Method Summary
`void` | `arguments(NVList params)` Return all parameters
`Context` | `ctx()` Return operation context
`void` | `except(Any a)` Deprecated. Use set_exception() instead.
`java.lang.String` | `op_name()` Deprecated. Use operation() instead.
`java.lang.String` | `operation()` Return the operation name
`void` | `params(NVList params)` Deprecated. Use arguments instead.
`void` | `result(Any a)` Deprecated. Use set_result() instead.
`void` | `set_exception(Any a)` Set the request exception.
`void` | `set_result(Any a)` Set the request result

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerRequest

    public ServerRequest(ServerRequest server_request)

  A constructor with the request name as parameter

Method Detail

### op_name

    public java.lang.String op_name()

  Deprecated. Use operation() instead.

  Return the operation name
  Overrides:
    `op_name` in class `ServerRequest`

### operation

    public java.lang.String operation()

  Return the operation name
  Overrides:
    `operation` in class `ServerRequest`

### params

    public void params(NVList params)

  Deprecated. Use arguments instead.

  Get parameters
  Overrides:
    `params` in class `ServerRequest`

### arguments

    public void arguments(NVList params)

  Return all parameters
  Overrides:
    `arguments` in class `ServerRequest`

### ctx

    public Context ctx()

  Return operation context
  Overrides:
    `ctx` in class `ServerRequest`

### result

    public void result(Any a)

  Deprecated. Use set_result() instead.

  Set the request result.
  Overrides:
    `result` in class `ServerRequest`

### set_result

    public void set_result(Any a)

  Set the request result
  Overrides:
    `set_result` in class `ServerRequest`

### except

    public void except(Any a)

  Deprecated. Use set_exception() instead.

  Set the request exception.
  Overrides:
    `except` in class `ServerRequest`

### set_exception

    public void set_exception(Any a)

  Set the request exception.
  Overrides:
    `set_exception` in class `ServerRequest`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD